<?php


namespace App\Http\Controllers\api\thirdPart\haiq;




use App\Services\ForeignHaiRoboticsService;
use Illuminate\Http\Request;

class LightController
{
    protected $request;

    /** @var ForeignHaiRoboticsService $service */
    private $service;
    public function __construct(){
        $this->service=app('ForeignHaiRoboticsService');
    }

    public function lightOn(Request $request){
    }
    public function lightOff(Request $request){
    }

    public function update(Request $request){
        $success = $request->input('success');
        $location = $success?200:0;
        app('LogService')->log(__METHOD__,__FUNCTION__,json_encode($request->all()));
        return ['location'=>$location,'errMsg'=>'','data'=>$request->all()];
    }

}
